Bug 1288555 - Add pacemaker_remote support in the pacemaker module
Summary: Add pacemaker_remote support in the pacemaker module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 8.0 (Liberty)
Hardware: All
OS: Linux
medium
medium
Target Milestone: ga
: 8.0 (Liberty)
Assignee: Gaël Chamoulaud
QA Contact: Asaf Hirshberg
URL:
Whiteboard:
Depends On:
Blocks: 1185030
TreeView+ depends on / blocked
 
Reported: 2015-12-04 14:50 UTC by Michele Baldessari
Modified: 2016-04-07 21:16 UTC (History)
5 users (show)

Fixed In Version: openstack-puppet-modules-7.0.3-1.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-07 21:16:04 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0603 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 8 Enhancement Advisory 2016-04-08 00:53:53 UTC

Description Michele Baldessari 2015-12-04 14:50:21 UTC
Description of problem:
Currently the last openstack-puppet-modules package (7.0.1-2) does not have pacemaker_remote support. In order to be able to deploy instance HA, it is
quite useful to have it in order to deploy it automatically via ospd.

On a local test I added the following commits to the pacemaker module:
23cbb084bf48c414c189f45a3761c57ba8375d1 Merge pull request #63 from cwolferh/remote_authkey
constraints
23580239ac495fc20bd4a393a36051ab49ac9fa Ability to set authkey for pacemaker-remote.                

and was able to correctly  set authkey on the controller nodes.

Setting it on the compute nodes was slightly a bit more hand-work, but I could
not see any commit upstream to support it nicely, so this BZ is just to cover the controller nodes.

Version-Release number of selected component (if applicable):
7.0.1-2

Comment 2 Gaël Chamoulaud 2015-12-07 09:01:39 UTC
The appropriate commit is already part of the opm master, just need a new build.

[1] - https://github.com/redhat-openstack/openstack-puppet-modules/blob/master/Puppetfile#L185-L187

Comment 5 Asaf Hirshberg 2016-03-16 09:48:26 UTC
Hey Michele,

Can you please provide me the steps in order to verify this bug?

Thanks.

Comment 6 Michele Baldessari 2016-03-16 10:16:20 UTC
Hi Asaf,

this puppet remote support is not yet used within director as that work has been postponed. You can just SanityOnly here. The functionality does work, but the templates making use of it are not yet ready (and won't be for OSP 8)

If you absolutely must test it, we can probably think of something (you will need
two vms, we can install puppet + OPM on them and then run a couple of manifests,
which I would  need to prepare), but I think it makes little sense for the effort
required.

hope this helps. Let me know if it does not,
Michele

Comment 7 Asaf Hirshberg 2016-04-03 04:40:29 UTC
Michele,

I ran sanity on setup deployed with ospd8 and the desired rpm[1], sanity passed cleanly.

Comment 8 errata-xmlrpc 2016-04-07 21:16:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0603.html


Note You need to log in before you can comment on or make changes to this bug.